distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	ACPI Event Daemon
Name:     	acpid
Version:   	1.0.6
Release:   	1
Provides:	acpid
License: 	GNU/GPL
url:		http://acpid.sourceforge.net
Group:     	System/Configuration/Hardware
Source0: 	acpid-%{version}.tar.gz
Source1:	acpid.init
Patch0: 	acpid-1.0.6-conf.patch
#Patch1: 	acpid-1.0.3-makefile.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot

%description
acpid is a daemon that dispatches ACPI events to user-space programs.

%prep
%setup -n acpid-%{version}
%patch0 -p1
#%patch1 -p1


%build
make

%install
make install INSTPREFIX=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/acpi/events
mkdir -p $RPM_BUILD_ROOT/etc/acpi/actions
chmod 755 $RPM_BUILD_ROOT/etc/acpi/events
install -m 644 samples/sample.conf $RPM_BUILD_ROOT/etc/acpi/events

mkdir -p $RPM_BUILD_ROOT/var/log
touch $RPM_BUILD_ROOT/var/log/acpid
chmod 640 $RPM_BUILD_ROOT/var/log/acpid

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc0.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc1.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc2.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc3.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc4.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc5.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc6.d
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/acpid
# Symbolische Links in runlevel setzen #
ln -sf  ../init.d/acpid $RPM_BUILD_ROOT/etc/rc.d/rc0.d/K16acpid
ln -sf  ../init.d/acpid $RPM_BUILD_ROOT/etc/rc.d/rc1.d/K16acpid
ln -sf  ../init.d/acpid $RPM_BUILD_ROOT/etc/rc.d/rc2.d/K16acpid
ln -sf  ../init.d/acpid $RPM_BUILD_ROOT/etc/rc.d/rc3.d/S16acpid
ln -sf  ../init.d/acpid $RPM_BUILD_ROOT/etc/rc.d/rc4.d/S16acpid
ln -sf  ../init.d/acpid $RPM_BUILD_ROOT/etc/rc.d/rc5.d/S16acpid
ln -sf  ../init.d/acpid $RPM_BUILD_ROOT/etc/rc.d/rc6.d/K16acpid

%files
%defattr(-,root,root)
%dir /etc/acpi
%dir /etc/acpi/events
%dir /etc/acpi/actions
%config %attr(0644,root,root) /etc/acpi/events/sample.conf
%verify(not md5 size mtime) %ghost %config(missingok,noreplace) /var/log/acpid
/usr/bin/acpi_listen
/usr/sbin/acpid
/etc/rc.d/*
/usr/share/man/man8/acpid.8.gz
/usr/share/man/man8/acpi_listen.8.gz


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Oct 15 2007 Simon Schmeisser <wrt@ccux-linux.de> 1.0.6-1
- Version update
* Mon Jun 13 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 1.0.4-1
- Version Update to 1.0.4
* Thu Jan 20 2005 Christian Metzen <metzench@ccux-linux.de> 1.0.3-1
- Initial Release
